Package com.smartgwt.client.types

# Enum SearchEditorMode

java.lang.Object
java.lang.Enum<SearchEditorMode>
com.smartgwt.client.types.SearchEditorMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<SearchEditorMode>`, `Constable`

public enum SearchEditorMode extends Enum<SearchEditorMode> implements ValueEnum
Affects the appearance and behavior of the builtin `SavedSearchEditor`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GRID`
  the editor shows only a field for naming (or renaming) a search, since the grid has built-in interfaces for editing criteria
  `NORMAL`
  the editor shows a `FilterBuilder` for editing criteria

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static SearchEditorMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SearchEditorMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final SearchEditorMode NORMAL
    the editor shows a `FilterBuilder` for editing criteria

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "normal".

  - ### GRID

    public static final SearchEditorMode GRID
    the editor shows only a field for naming (or renaming) a search, since the grid has built-in interfaces for editing criteria

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "grid".

- ## Method Details

  - ### values

    public static SearchEditorMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SearchEditorMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`